VirtualBox

Ticket #12146 (closed defect: wontfix)

Opened 5 years ago

Last modified 5 years ago

"Running VirtualBox in a Xen environment is not supported" on "3.2.0-31-generic"

Reported by: knightsamar Owned by:
Priority: major Component: other
Version: VirtualBox 4.2.18 Keywords: xen, generic kernel, kernel module
Cc: Guest type: all
Host type: Linux

Description

My uname -a output is

Linux machine.domain.com 3.2.0-31-generic #50-Ubuntu SMP Fri Sep 7 16:16:45 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

And when I do sudo /etc/init.d/vboxdrv setup the output is:

 * Stopping VirtualBox kernel modules                                                                                  [ OK ] 
 * Removing old VirtualBox pci kernel module                                                                           [ OK ] 
 * Removing old VirtualBox netadp kernel module                                                                        [ OK ] 
 * Removing old VirtualBox netflt kernel module                                                                        [ OK ] 
 * Removing old VirtualBox kernel module                                                                               [ OK ] 
 * Recompiling VirtualBox kernel modules                                                                               [ OK ] 
 * Starting VirtualBox kernel modules                                                                                         
 * Running VirtualBox in a Xen environment is not supported

But, running modprobe vboxdrv seems to fix the problem as as lsmod lists the module and I can use VirtualBox.

Attaching the vbox-install.log from /var/log.

Attachments

vbox-install.log.gz Download (15.4 KB) - added by knightsamar 5 years ago.
vbox-install.log gzipped

Change History

Changed 5 years ago by knightsamar

vbox-install.log gzipped

comment:1 Changed 5 years ago by frank

  • Status changed from new to closed
  • Resolution set to wontfix

So what is the bug report about? That VirtualBox cannot run in a Xen environment as mentioned by the installer? This support is not planned.

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use